﻿@import "../../css/bootstrap/bootstrap.min.css";
@import "../../css/bootstrap-icons/bootstrap-icons.css";
@import "../../css/variables.css";
@import "../../css/fonts.css";
@import "../../css/forms.css";
@import "../../css/tables.css";
@import "../../css/wizard.css";
@import "../../css/legacy-styles.css";
@import "../../css/app.css";

@media only screen and (min-width : 1440px) {
    .container {
        max-width: 1600px;
    }
}

body {
    padding-top: 0px;
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select {
    max-width: 800px;
}

textarea {
    max-width: 64rem;
}

    textarea.multi-line {
        height: 120px;
    }

    textarea.textarea-long {
        height: 300px;
    }

.navbar-custom {
    background-color: #ffffff;
}

    .navbar-custom .navbar-nav .nav-link {
        color: #404040;
        padding: 0.5rem 1rem;
    }

    .navbar-custom .nav-item > a {
        font-size: 120%;
        font-weight: 500;
        text-decoration: none;
    }

        .navbar-custom .nav-item > a:hover {
            background-color: #f0f0f0;
            text-decoration: none;
        }

    .navbar-custom .nav-item .nav-link:hover {
        color: #404040;
    }

.action-title {
    padding: 0.1em 0.25em 1.1em 0.25em;
}

    .action-title > img {
        float: left;
        width: 32px;
        height: 32px;
        background: #f8f8f8;
        margin-left: 8px;
    }

    .action-title > h2, h3, h4, h5 {
        position: relative;
        left: 12px;
        font-weight: 400;
        font-size: 1.0em;
    }

.action-title-sm {
    padding-left: 0.5rem;
}

    .action-title-sm a.nav-link img {
        float: left;
        width: 20px;
        height: auto;
        background: #f8f8f8;
        margin-left: 8px;
        margin-right: 8px;
        margin-top: 4px;
    }

    .action-title-sm > h2, h3, h4, h5 {
        display: inline;
        font-weight: 400;
        font-size: 0.95em;
    }

    .action-title-sm > h2, h3, h4 {
        left: 12px;
    }

    .action-title-sm > h5 {
        left: 4px;
    }

.action-title-only > h2 {
    font-size: 1.8em;
    left: 4px;
}

.action-title > h3 {
    font-size: 1.4em;
}

.action-title-only > h3 {
    left: 4px;
}

.action-title > h4 {
    font-size: 1.1em;
}

.nav-link {
    padding: 0.2rem;
}

.pagination {
    display: inline-block;
    padding-left: 0;
    margin: 0px 0;
    border-radius: 4px;
}

@media (min-width: 768px) {
    .form-horizontal .control-label {
        padding-top: 7px;
        margin-bottom: 0;
        text-align: right;
        font-weight: 500;
        font-size: 95%;
    }
}

.ml-auto .dropdown-menu {
    right: 0;
    left: auto;
}

.menuitem-account {
    margin: 4px;
    margin-left: 8px;
    font-size: 115%;
    font-weight: 400;
}

.card-header {
    padding: 0.5rem;
}

.btn-light {
    border-color: #78797a;
    border-width: thin;
}

.pagination-container {
    margin-top: 4px;
    margin-bottom: -4px;
}

.custom-error {
    text-align: center;
    color: red;
    font-size: 24px;
    box-shadow: 1px 1px 1px grey;
}

.upload-wrap {
    position: relative;
}

.upload-btn {
    position: absolute;
    left: 0;
    opacity: 0;
}

.page-link:focus {
    box-shadow: 0 0 0 0 rgba(0, 123, 255, 0.25);
}

.btn-group {
    margin-top: -0.2em;
}

.kene-orange {
    color: #F79F00;
}

.kene-green {
    color: #006B00;
}

.kene-gray {
    color: #696969;
}

.kene-lighterorange {
    color: rgba(247, 159, 0, 0.8);
}

.kene-lightergreen {
    color: rgba(0, 107, 0, 0.8);
}

.kene-lightergray {
    color: rgba(105, 105, 105, 0.8);
}

.kene-lightorange {
    color: rgba(247, 159, 0, 0.4);
}

.kene-lightgreen {
    color: rgba(from rgb(0, 107, 0), 0.4);
}

.kene-lightgray {
    color: rgba(105, 105, 105, 0.4);
}

#mapId {
    position: relative;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 750px;
    height: 900px;
    border-radius: var(--border-radius-base) !important;
}

    #mapId > div.leaflet-control-container > div.leaflet-top.leaflet-left > div {
        border: 1px solid #E9E9E9;
        box-shadow: 0px 3px 6px #00000029;
        border-radius: 8px;
        background: var(--white);
    }

        #mapId > div.leaflet-control-container > div.leaflet-top.leaflet-left > div > a.leaflet-control-zoom-in,
        #mapId > div.leaflet-control-container > div.leaflet-top.leaflet-left > div > a.leaflet-control-zoom-out {
            color: var(--green-four);
            background: transparent;
        }


.img-loading-client {
    max-height: 200px;
    width: auto;
}

.div-splash {
    position: absolute;
    top: 30vh;
    width: 100%;
    text-align: center;
}

.img-splash {
    max-height: 200px;
    width: auto;
}

.spinner-splash {
    width: 2rem;
    height: 2rem;
}

select[readonly] {
    cursor: no-drop;
    user-select: none;
    pointer-events: none;
    opacity: 0.7;
}

    select[readonly] option:not([selected]) {
        display: none;
    }

.ml-25 {
    margin-left: 0.75rem;
}